<?
define('PROTECTOR', 1);

$headmod = 'karma';//фикс. места

$textl='Карма';
include('files/db.php');
include('files/auth.php');
include('files/func.php');
include('files/core.php');
include('files/head.php');
include('files/zag.php');

$nick=$_GET[usr];
$nick = htmlspecialchars(stripslashes($nick));

$req = mysql_query("SELECT `id` FROM `users` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include('files/down.php');exit;
}
$usdata = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `karma` WHERE `usr` = '$nick' AND `from`='$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1 or $udata[lvl]<1 or $log==$nick){
echo'Невозможно увеличить карму, возможно вы голосовали за этого игрока! Либо у вас уровень меньше 1!';
include('files/down.php');exit;
}

mysql_query("INSERT INTO
        `karma` SET
        `usr` = '$nick',
        `from` = '$log'");

echo"Вы увеличели карму у игрока $nick!<br/>";
echo"<a href=\"search.php?nick=$nick&amp;go=go\">Назад</a>";

include('files/down.php');
?>